Liferay.Loader.define("frontend-js-spa-web@4.0.43/liferay/screen/ActionURLScreen.es", ['module', 'exports', 'require', 'frontend-js-spa-web$senna', './EventScreen.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _senna = require("frontend-js-spa-web$senna");

    var _EventScreen2 = _interopRequireDefault(require("./EventScreen.es"));

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _get(target, property, receiver) {
      if (typeof Reflect !== "undefined" && Reflect.get) {
        _get = Reflect.get;
      } else {
        _get = function _get(target, property, receiver) {
          var base = _superPropBase(target, property);if (!base) return;var desc = Object.getOwnPropertyDescriptor(base, property);if (desc.get) {
            return desc.get.call(receiver);
          }return desc.value;
        };
      }return _get(target, property, receiver || target);
    }

    function _superPropBase(object, property) {
      while (!Object.prototype.hasOwnProperty.call(object, property)) {
        object = _getPrototypeOf(object);if (object === null) break;
      }return object;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    /**
     * ActionURLScreen
     *
     * Inherits from {@link EventScreen|EventScreen}. The screen used for all
     * requests made to ActionURLs.
     */
    var ActionURLScreen = /*#__PURE__*/function (_EventScreen) {
      _inherits(ActionURLScreen, _EventScreen);

      /**
       * @inheritDoc
       */
      function ActionURLScreen() {
        var _this;

        _classCallCheck(this, ActionURLScreen);

        _this = _possibleConstructorReturn(this, _getPrototypeOf(ActionURLScreen).call(this));
        _this.httpMethod = 'POST';
        return _this;
      }
      /**
       * @inheritDoc
       * Ensures that an action request (form submission) redirect's final
       * URL has the lifecycle RENDER `p_p_lifecycle=0`
       * @return {!String} The request path
       */

      _createClass(ActionURLScreen, [{
        key: "getRequestPath",
        value: function getRequestPath() {
          var requestPath = null;
          var request = this.getRequest();

          if (request) {
            var uri = new URL(_get(_getPrototypeOf(ActionURLScreen.prototype), "getRequestPath", this).call(this), window.location.origin);

            if (uri.searchParams.get('p_p_lifecycle') === '1') {
              uri.searchParams.set('p_p_lifecycle', '0');
            }

            requestPath = _senna.utils.getUrlPath(uri.toString());
          }

          return requestPath;
        }
      }]);

      return ActionURLScreen;
    }(_EventScreen2.default);

    var _default = ActionURLScreen;
    exports.default = _default;
    //# sourceMappingURL=ActionURLScreen.es.js.map
  }
});
//# sourceMappingURL=ActionURLScreen.es.js.map