Liferay.Loader.define("fragment-web@3.0.79/js/FragmentEntryDropdownDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-state'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalState = require("frontend-js-metal-web$metal-state");

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var FragmentEntryDropdownDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(FragmentEntryDropdownDefaultEventHandler, _DefaultEventHandler);

      function FragmentEntryDropdownDefaultEventHandler() {
        _classCallCheck(this, FragmentEntryDropdownDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(FragmentEntryDropdownDefaultEventHandler).apply(this, arguments));
      }

      _createClass(FragmentEntryDropdownDefaultEventHandler, [{
        key: "copyFragmentEntry",
        value: function copyFragmentEntry(itemData) {
          this.one('#fragmentCollectionId').value = itemData.fragmentCollectionId;
          this.one('#fragmentEntryIds').value = itemData.fragmentEntryId;
          submitForm(this.one('#fragmentEntryFm'), itemData.copyFragmentEntryURL);
        }
      }, {
        key: "copyToContributedFragmentEntry",
        value: function copyToContributedFragmentEntry(itemData) {
          var _this = this;

          (0, _frontendJsWeb.openSelectionModal)({
            id: this.ns('selectFragmentCollection'),
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                _this.one('#fragmentCollectionId').value = selectedItem.id;
                _this.one('#fragmentEntryKeys').value = itemData.fragmentEntryKey;
                submitForm(_this.one('#fragmentEntryFm'), itemData.copyContributedFragmentEntryURL);
              }
            },
            selectEventName: this.ns('selectFragmentCollection'),
            title: Liferay.Language.get('select-collection'),
            url: itemData.selectFragmentCollectionURL
          });
        }
      }, {
        key: "copyToFragmentEntry",
        value: function copyToFragmentEntry(itemData) {
          this._selectFragmentCollection(itemData.fragmentEntryId, itemData.selectFragmentCollectionURL, itemData.copyFragmentEntryURL);
        }
      }, {
        key: "deleteDraftFragmentEntry",
        value: function deleteDraftFragmentEntry(itemData) {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            this._send(itemData.deleteDraftFragmentEntryURL);
          }
        }
      }, {
        key: "deleteFragmentEntry",
        value: function deleteFragmentEntry(itemData) {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            this._send(itemData.deleteFragmentEntryURL);
          }
        }
      }, {
        key: "deleteFragmentEntryPreview",
        value: function deleteFragmentEntryPreview(itemData) {
          this._send(itemData.deleteFragmentEntryPreviewURL);
        }
      }, {
        key: "moveFragmentEntry",
        value: function moveFragmentEntry(itemData) {
          this._selectFragmentCollection(itemData.fragmentEntryId, itemData.selectFragmentCollectionURL, itemData.moveFragmentEntryURL);
        }
      }, {
        key: "renameFragmentEntry",
        value: function renameFragmentEntry(itemData) {
          (0, _frontendJsWeb.openSimpleInputModal)({
            dialogTitle: Liferay.Language.get('rename-fragment'),
            formSubmitURL: itemData.updateFragmentEntryURL,
            idFieldName: 'id',
            idFieldValue: itemData.fragmentEntryId,
            mainFieldLabel: Liferay.Language.get('name'),
            mainFieldName: 'name',
            mainFieldPlaceholder: Liferay.Language.get('name'),
            mainFieldValue: itemData.fragmentEntryName,
            namespace: this.namespace,
            spritemap: this.spritemap
          });
        }
      }, {
        key: "updateFragmentEntryPreview",
        value: function updateFragmentEntryPreview(itemData) {
          var _this2 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var itemValue = JSON.parse(selectedItem.value);
                _this2.one('#fragmentEntryId').value = itemData.fragmentEntryId;
                _this2.one('#fileEntryId').value = itemValue.fileEntryId;
                submitForm(_this2.one('#fragmentEntryPreviewFm'));
              }
            },
            selectEventName: this.ns('changePreview'),
            title: Liferay.Language.get('fragment-thumbnail'),
            url: itemData.itemSelectorURL
          });
        }
      }, {
        key: "_selectFragmentCollection",
        value: function _selectFragmentCollection(fragmentEntryId, selectFragmentCollectionURL, targetFragmentEntryURL) {
          var _this3 = this;

          (0, _frontendJsWeb.openSelectionModal)({
            id: this.ns('selectFragmentCollection'),
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var form = _this3.one('#fragmentEntryFm');

                form.querySelector("#".concat(_this3.ns('fragmentCollectionId'))).value = selectedItem.id;
                form.querySelector("#".concat(_this3.ns('fragmentEntryIds'))).value = fragmentEntryId;
                submitForm(form, targetFragmentEntryURL);
              }
            },
            selectEventName: this.ns('selectFragmentCollection'),
            title: Liferay.Language.get('select-collection'),
            url: selectFragmentCollectionURL
          });
        }
      }, {
        key: "_send",
        value: function _send(url) {
          submitForm(document.hrefFm, url);
        }
      }]);

      return FragmentEntryDropdownDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    FragmentEntryDropdownDefaultEventHandler.STATE = {
      copyFragmentEntryURL: _metalState.Config.string(),
      fragmentCollectionId: _metalState.Config.string(),
      moveFragmentEntryURL: _metalState.Config.string(),
      spritemap: _metalState.Config.string()
    };
    var _default = FragmentEntryDropdownDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=FragmentEntryDropdownDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=FragmentEntryDropdownDefaultEventHandler.es.js.map