Liferay.Loader.define("fragment-web@3.0.79/js/ManagementToolbarDefaultEventHandler.es", ['module', 'exports', 'require', 'frontend-js-web', 'frontend-js-metal-web$metal-state'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _frontendJsWeb = require("frontend-js-web");

    var _metalState = require("frontend-js-metal-web$metal-state");

    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    function _classCallCheck(instance, Constructor) {
      if (!(instance instanceof Constructor)) {
        throw new TypeError("Cannot call a class as a function");
      }
    }

    function _defineProperties(target, props) {
      for (var i = 0; i < props.length; i++) {
        var descriptor = props[i];descriptor.enumerable = descriptor.enumerable || false;descriptor.configurable = true;if ("value" in descriptor) descriptor.writable = true;Object.defineProperty(target, descriptor.key, descriptor);
      }
    }

    function _createClass(Constructor, protoProps, staticProps) {
      if (protoProps) _defineProperties(Constructor.prototype, protoProps);if (staticProps) _defineProperties(Constructor, staticProps);return Constructor;
    }

    function _possibleConstructorReturn(self, call) {
      if (call && (_typeof(call) === "object" || typeof call === "function")) {
        return call;
      }return _assertThisInitialized(self);
    }

    function _assertThisInitialized(self) {
      if (self === void 0) {
        throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
      }return self;
    }

    function _getPrototypeOf(o) {
      _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
        return o.__proto__ || Object.getPrototypeOf(o);
      };return _getPrototypeOf(o);
    }

    function _inherits(subClass, superClass) {
      if (typeof superClass !== "function" && superClass !== null) {
        throw new TypeError("Super expression must either be null or a function");
      }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
    }

    function _setPrototypeOf(o, p) {
      _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
        o.__proto__ = p;return o;
      };return _setPrototypeOf(o, p);
    }

    var ManagementToolbarDefaultEventHandler = /*#__PURE__*/function (_DefaultEventHandler) {
      _inherits(ManagementToolbarDefaultEventHandler, _DefaultEventHandler);

      function ManagementToolbarDefaultEventHandler() {
        _classCallCheck(this, ManagementToolbarDefaultEventHandler);

        return _possibleConstructorReturn(this, _getPrototypeOf(ManagementToolbarDefaultEventHandler).apply(this, arguments));
      }

      _createClass(ManagementToolbarDefaultEventHandler, [{
        key: "addFragmentEntry",
        value: function addFragmentEntry(itemData) {
          (0, _frontendJsWeb.openSimpleInputModal)({
            dialogTitle: itemData.title,
            formSubmitURL: itemData.addFragmentEntryURL,
            mainFieldLabel: Liferay.Language.get('name'),
            mainFieldName: 'name',
            mainFieldPlaceholder: Liferay.Language.get('name'),
            namespace: this.namespace,
            spritemap: this.spritemap
          });
        }
      }, {
        key: "copySelectedFragmentEntries",
        value: function copySelectedFragmentEntries() {
          var fragmentEntryIds = Liferay.Util.listCheckedExcept(this.one('#fm'), this.ns('allRowIds'));
          this.one('#fragmentCollectionId').value = this.fragmentCollectionId;
          this.one('#fragmentEntryIds').value = fragmentEntryIds;
          submitForm(this.one('#fragmentEntryFm'), this.copyFragmentEntryURL);
        }
      }, {
        key: "copyToSelectedFragmentEntries",
        value: function copyToSelectedFragmentEntries() {
          this._selectFragmentCollection(this.copyFragmentEntryURL);
        }
      }, {
        key: "copyToSelectedContributedFragmentEntries",
        value: function copyToSelectedContributedFragmentEntries() {
          var _this = this;

          var fragmentEntryKeys = Liferay.Util.listCheckedExcept(this.one('#fm'), this.ns('allRowIds'));
          (0, _frontendJsWeb.openSelectionModal)({
            id: this.ns('selectFragmentCollection'),
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                _this.one('#fragmentCollectionId').value = selectedItem.id;
                _this.one('#fragmentEntryKeys').value = fragmentEntryKeys;
                submitForm(_this.one('#fragmentEntryFm'), _this.copyContributedFragmentEntryURL);
              }
            },
            selectEventName: this.ns('selectFragmentCollection'),
            title: Liferay.Language.get('select-collection'),
            url: this.selectFragmentCollectionURL
          });
        }
      }, {
        key: "deleteFragmentCompositionsAndFragmentEntries",
        value: function deleteFragmentCompositionsAndFragmentEntries() {
          if (confirm(Liferay.Language.get('are-you-sure-you-want-to-delete-this'))) {
            submitForm(this.one('#fm'), this.deleteFragmentCompositionsAndFragmentEntriesURL);
          }
        }
      }, {
        key: "exportFragmentCompositionsAndFragmentEntries",
        value: function exportFragmentCompositionsAndFragmentEntries() {
          submitForm(this.one('#fm'), this.exportFragmentCompositionsAndFragmentEntriesURL);
        }
      }, {
        key: "moveFragmentCompositionsAndFragmentEntries",
        value: function moveFragmentCompositionsAndFragmentEntries() {
          this._selectFragmentCollection(this.moveFragmentCompositionsAndFragmentEntriesURL);
        }
      }, {
        key: "_selectFragmentCollection",
        value: function _selectFragmentCollection(targetFragmentEntryURL) {
          var _this2 = this;

          var fragmentCompositionIds = Liferay.Util.listCheckedExcept(this.one('#fm'), this.ns('allRowIds'), this.ns('rowIdsFragmentComposition'));
          var fragmentEntryIds = Liferay.Util.listCheckedExcept(this.one('#fm'), this.ns('allRowIds'), this.ns('rowIdsFragmentEntry'));
          (0, _frontendJsWeb.openSelectionModal)({
            id: this.ns('selectFragmentCollection'),
            onSelect: function onSelect(selectedItem) {
              if (selectedItem) {
                var form = _this2.one('#fragmentEntryFm');

                form.querySelector("#".concat(_this2.ns('fragmentCollectionId'))).value = selectedItem.id;
                _this2.one('#fragmentCompositionIds').value = fragmentCompositionIds;
                _this2.one('#fragmentEntryIds').value = fragmentEntryIds;
                submitForm(form, targetFragmentEntryURL);
              }
            },
            selectEventName: this.ns('selectFragmentCollection'),
            title: Liferay.Language.get('select-collection'),
            url: this.selectFragmentCollectionURL
          });
        }
      }]);

      return ManagementToolbarDefaultEventHandler;
    }(_frontendJsWeb.DefaultEventHandler);

    ManagementToolbarDefaultEventHandler.STATE = {
      copyContributedFragmentEntryURL: _metalState.Config.string(),
      copyFragmentEntryURL: _metalState.Config.string(),
      deleteFragmentCompositionsAndFragmentEntriesURL: _metalState.Config.string(),
      exportFragmentCompositionsAndFragmentEntriesURL: _metalState.Config.string(),
      fragmentCollectionId: _metalState.Config.string(),
      moveFragmentCompositionsAndFragmentEntriesURL: _metalState.Config.string(),
      selectFragmentCollectionURL: _metalState.Config.string(),
      spritemap: _metalState.Config.string()
    };
    var _default = ManagementToolbarDefaultEventHandler;
    exports.default = _default;
    //# sourceMappingURL=ManagementToolbarDefaultEventHandler.es.js.map
  }
});
//# sourceMappingURL=ManagementToolbarDefaultEventHandler.es.js.map