Liferay.Loader.define("journal-web@4.0.128/js/ChangeDefaultLanguage.es", ['module', 'exports', 'require', '@frontend-taglib-clay$clayui/button', '@frontend-taglib-clay$clayui/drop-down', '@frontend-taglib-clay$clayui/icon', '@frontend-taglib-clay$clayui/label', '@frontend-taglib-clay$clayui/layout', 'frontend-js-react-web$prop-types', 'frontend-js-react-web$react'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    function _typeof(obj) {
      "@babel/helpers - typeof";
      if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
        _typeof = function _typeof(obj) {
          return typeof obj;
        };
      } else {
        _typeof = function _typeof(obj) {
          return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        };
      }return _typeof(obj);
    }

    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = void 0;

    var _button = _interopRequireDefault(require("@frontend-taglib-clay$clayui/button"));

    var _dropDown = _interopRequireDefault(require("@frontend-taglib-clay$clayui/drop-down"));

    var _icon = _interopRequireDefault(require("@frontend-taglib-clay$clayui/icon"));

    var _label = _interopRequireDefault(require("@frontend-taglib-clay$clayui/label"));

    var _layout = _interopRequireDefault(require("@frontend-taglib-clay$clayui/layout"));

    var _propTypes = _interopRequireDefault(require("frontend-js-react-web$prop-types"));

    var _react = _interopRequireWildcard(require("frontend-js-react-web$react"));

    function _getRequireWildcardCache() {
      if (typeof WeakMap !== "function") return null;var cache = new WeakMap();_getRequireWildcardCache = function _getRequireWildcardCache() {
        return cache;
      };return cache;
    }

    function _interopRequireWildcard(obj) {
      if (obj && obj.__esModule) {
        return obj;
      }if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
        return { default: obj };
      }var cache = _getRequireWildcardCache();if (cache && cache.has(obj)) {
        return cache.get(obj);
      }var newObj = {};var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;for (var key in obj) {
        if (Object.prototype.hasOwnProperty.call(obj, key)) {
          var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;if (desc && (desc.get || desc.set)) {
            Object.defineProperty(newObj, key, desc);
          } else {
            newObj[key] = obj[key];
          }
        }
      }newObj.default = obj;if (cache) {
        cache.set(obj, newObj);
      }return newObj;
    }

    function _interopRequireDefault(obj) {
      return obj && obj.__esModule ? obj : { default: obj };
    }

    function _slicedToArray(arr, i) {
      return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest();
    }

    function _nonIterableRest() {
      throw new TypeError("Invalid attempt to destructure non-iterable instance");
    }

    function _iterableToArrayLimit(arr, i) {
      if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
        return;
      }var _arr = [];var _n = true;var _d = false;var _e = undefined;try {
        for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
          _arr.push(_s.value);if (i && _arr.length === i) break;
        }
      } catch (err) {
        _d = true;_e = err;
      } finally {
        try {
          if (!_n && _i["return"] != null) _i["return"]();
        } finally {
          if (_d) throw _e;
        }
      }return _arr;
    }

    function _arrayWithHoles(arr) {
      if (Array.isArray(arr)) return arr;
    }

    function ChangeDefaultLanguage(props) {
      var _useState = (0, _react.useState)(false),
          _useState2 = _slicedToArray(_useState, 2),
          active = _useState2[0],
          setActive = _useState2[1];

      var _useState3 = (0, _react.useState)(props.defaultLanguage),
          _useState4 = _slicedToArray(_useState3, 2),
          selectedDefaultLanguage = _useState4[0],
          setSelectedDefaultLanguage = _useState4[1];

      var onItemClick = (0, _react.useCallback)(function (event, language) {
        setSelectedDefaultLanguage(language);
        setActive(false);
        Liferay.fire('inputLocalized:defaultLocaleChanged', {
          item: event.currentTarget
        });
      }, []);
      return (/*#__PURE__*/_react.default.createElement("div", {
          className: "article-default-language"
        }, /*#__PURE__*/_react.default.createElement("p", {
          className: "mb-0"
        }, /*#__PURE__*/_react.default.createElement("b", null, "".concat(Liferay.Language.get('web-content-default-language'), ": ")), props.strings[selectedDefaultLanguage]), /*#__PURE__*/_react.default.createElement(_dropDown.default, {
          active: active,
          className: "mt-2",
          onActiveChange: setActive,
          trigger: /*#__PURE__*/_react.default.createElement(_button.default, {
            "aria-expanded": active,
            "aria-haspopup": "true",
            className: "dropdown-toggle",
            displayType: "secondary"
          }, /*#__PURE__*/_react.default.createElement("strong", null, Liferay.Language.get('change')), /*#__PURE__*/_react.default.createElement(_icon.default, {
            className: "inline-item inline-item-after",
            symbol: "caret-bottom"
          }))
        }, /*#__PURE__*/_react.default.createElement(_dropDown.default.ItemList, null, props.languages.map(function (item) {
          return (/*#__PURE__*/_react.default.createElement(_dropDown.default.Item, {
              className: "autofit-row",
              "data-value": item.label,
              key: item.label,
              onClick: function onClick(event) {
                return onItemClick(event, item.label);
              },
              title: item.label
            }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, {
              expand: true
            }, /*#__PURE__*/_react.default.createElement(_layout.default.ContentSection, null, /*#__PURE__*/_react.default.createElement("span", {
              className: "inline-item inline-item-before"
            }, /*#__PURE__*/_react.default.createElement(_icon.default, {
              symbol: item.icon
            })), item.label)), item.label === selectedDefaultLanguage && /*#__PURE__*/_react.default.createElement(_layout.default.ContentCol, null, /*#__PURE__*/_react.default.createElement(_label.default, {
              displayType: "info"
            }, Liferay.Language.get('default'))))
          );
        }))))
      );
    }

    var _default = ChangeDefaultLanguage;
    exports.default = _default;
    //# sourceMappingURL=ChangeDefaultLanguage.es.js.map
  }
});
//# sourceMappingURL=ChangeDefaultLanguage.es.js.map